import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listBudget(query) {
  return request({
    url: '/system/budget/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getBudget(id) {
  return request({
    url: '/system/budget/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addBudget(data) {
  return request({
    url: '/system/budget',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateBudget(data) {
  return request({
    url: '/system/budget',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delBudget(id) {
  return request({
    url: '/system/budget/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportBudget(query) {
  return request({
    url: '/system/budget/export',
    method: 'get',
    params: query
  })
}