import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listParticipants(query) {
  return request({
    url: '/system/participants/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getParticipants(id) {
  return request({
    url: '/system/participants/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addParticipants(data) {
  return request({
    url: '/system/participants',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateParticipants(data) {
  return request({
    url: '/system/participants',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delParticipants(id) {
  return request({
    url: '/system/participants/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportParticipants(query) {
  return request({
    url: '/system/participants/export',
    method: 'get',
    params: query
  })
}