import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listTopic(query) {
  return request({
    url: '/system/topic/list',
    method: 'get',
    params: query
  })
}

export function listTopicOptions(query) {
  return request({
    url: '/system/topic/listOptions',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getTopic(id) {
  return request({
    url: '/system/topic/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addTopic(data) {
  return request({
    url: '/system/topic',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateTopic(data) {
  return request({
    url: '/system/topic',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delTopic(id) {
  return request({
    url: '/system/topic/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportTopic(query) {
  return request({
    url: '/system/topic/export',
    method: 'get',
    params: query
  })
}
