import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listInfo(query) {
  return request({
    url: '/system/info/list',
    method: 'get',
    params: query
  })
}


// 查询【请填写功能名称】详细
export function getInfo(id) {
  return request({
    url: '/system/info/' + id,
    method: 'get'
  })
}
// 批量导入附件
export function addAttachment(id) {
  return request({
    url: '/system/info/addAttachment',
    method: 'get'
  })
}
// 新增【请填写功能名称】
export function addInfo(data) {
  return request({
    url: '/system/info',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateInfo(data) {
  return request({
    url: '/system/info',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delInfo(id) {
  return request({
    url: '/system/info/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportInfo(query) {
  return request({
    url: '/system/info/export',
    method: 'get',
    params: query
  })
}
// 下载项目导入模板
export function importTemplate() {
  return request({
    url: '/system/info/importTemplate',
    method: 'get'
  })
}
export function topLabelData(query) {
  return request({
    url: '/system/info/topLabelData',
    method: 'get',
    params: query
  })
}
export function left1Data(query) {
  return request({
    url: '/system/info/left1Data',
    method: 'get',
    params: query
  })
}


export function center5Data(query) {
  return request({
    url: '/system/info/center5Data',
    method: 'get',
    params: query
  })
}
export function center2Data(query) {
  return request({
    url: '/system/info/center2Data',
    method: 'get',
    params: query
  })
}
export function right3Data(query) {
  return request({
    url: '/system/info/right3Data',
    method: 'get',
    params: query
  })
}
export function left4Data(query) {
  return request({
    url: '/system/info/left4Data',
    method: 'get',
    params: query
  })
}


export function right6Data(query) {
  return request({
    url: '/system/info/right6Data',
    method: 'get',
    params: query
  })
}

export function left7Data(query) {
  return request({
    url: '/system/info/left7Data',
    method: 'get',
    params: query
  })
}

export function center8Data(query) {
  return request({
    url: '/system/info/center8Data',
    method: 'get',
    params: query
  })
}
