import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listInstruction(query) {
  return request({
    url: '/system/instruction/list',
    method: 'get',
    params: query
  })
}
export function shituData2(query) {
  return request({
    url: '/system/instruction/leftData1',
    method: 'get',
    params: query
  })
}

export function shituData8(query) {
  return request({
    url: '/system/instruction/center8Data',
    method: 'get',
    params: query
  })
}
export function leftData1(query) {
  return request({
    url: '/system/instruction/leftData1',
    method: 'get',
    params: query
  })
}
export function center2Data(query) {
  return request({
    url: '/system/instruction/center2Data',
    method: 'get',
    params: query
  })
}
export function center8Data(query) {
  return request({
    url: '/system/instruction/center8Data',
    method: 'get',
    params: query
  })
}
// 下载项目导入模板
export function importTemplate() {
  return request({
    url: '/system/instruction/importTemplate',
    method: 'get'
  })
}

// 查询【请填写功能名称】详细
export function getInstruction(id) {
  return request({
    url: '/system/instruction/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addInstruction(data) {
  return request({
    url: '/system/instruction',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateInstruction(data) {
  return request({
    url: '/system/instruction',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delInstruction(id) {
  return request({
    url: '/system/instruction/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportInstruction(query) {
  return request({
    url: '/system/instruction/export',
    method: 'get',
    params: query
  })
}
